<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.samourai.wallet">

    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission
        android:name="android.permission.READ_EXTERNAL_STORAGE"
        android:maxSdkVersion="28" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        android:maxSdkVersion="28" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission
        android:name="android.permission.WAKE_LOCK"
        tools:node="replace" />
    <uses-feature
        android:name="android.hardware.camera.autofocus"
        android:required="false"
        tools:node="replace" />
    <uses-feature
        android:name="android.hardware.faketouch"
        android:required="false"
        tools:node="replace" />
    <uses-feature
        android:name="android.hardware.screen.landscape"
        android:required="false"
        tools:node="replace" />

    <application
        android:name=".SamouraiApplication"
        android:allowBackup="false"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@drawable/ic_launcher_round"
        android:theme="@style/SamouraiAppTheme"
        android:usesCleartextTraffic="true"
        tools:replace="android:allowBackup">
        <activity
            android:name=".whirlpool.WhirlpoolHome"
            android:exported="false"
            android:label=""
            android:theme="@style/Theme.Samourai.Whirlpool.Material">

        </activity>
        <activity
            android:name=".onboard.RestoreOptionActivity"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".onboard.SetUpWalletActivity"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".onboard.OnBoardSlidesActivity"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".RecoveryWordsActivity"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".send.batch.BatchSpendActivity"
            android:label=""
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".utxos.UTXODetailsActivity"
            android:label=""
            android:parentActivityName=".utxos.UTXOSActivity"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".network.NetworkDashboard"
            android:label="@string/title_activity_network_dashboard"
            android:parentActivityName=".home.BalanceActivity"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".utxos.UTXOSActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="@string/unspent_outputs"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".paynym.paynymDetails.PayNymDetailsActivity"
            android:label=""
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".paynym.addPaynym.AddPaynymActivity"
            android:label="@string/add_new"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".paynym.PayNymHome"
            android:label="@string/paynyms"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".MainActivity2"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="@string/app_name"
            android:launchMode="singleTask"
            android:theme="@style/AppTheme.Launcher">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />

                <category android:name="android.intent.category.DEFAULT" />
                <category android:name="android.intent.category.BROWSABLE" />

                <data android:scheme="bitcoin" />
            </intent-filter>
        </activity>
        <activity
            android:name=".home.BalanceActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".ReceiveActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="@string/app_name"
            android:theme="@style/Theme.Samourai.Material"
            android:windowSoftInputMode="stateVisible|adjustPan" />
        <activity
            android:name=".settings.SettingsActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="@string/app_name"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".AboutActivity"
            android:label="@string/app_name"
            android:screenOrientation="landscape" />
        <activity
            android:name=".PinEntryActivity"
            android:configChanges="keyboardHidden|screenSize"
            android:label=""
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".ricochet.RicochetActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="@string/app_name" />
        <activity
            android:name=".PayNymCalcActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="PayNym Calculator" />
        <activity
            android:name=".AddressCalcActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="Address Calculator"
            android:theme="@style/SamouraiAppTheme" />
        <activity
            android:name=".CreateWalletActivity"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".RestoreSeedWalletActivity"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".TxAnimUIActivity"
            android:theme="@style/SamouraiAppTheme" />
        <activity
            android:name=".send.SendActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:theme="@style/Theme.Samourai.Material"
            android:windowSoftInputMode="stateHidden" />
        <activity
            android:name=".whirlpool.newPool.NewPoolActivity"
            android:label=""
            android:theme="@style/Theme.Samourai.Whirlpool.Material" />

        <activity
            android:name=".tx.TxDetailsActivity"
            android:label=" "
            android:theme="@style/Theme.Samourai.Material" /> <!-- <activity -->
        <!-- android:name=".tx.TxPrivacyDetailsActivity" -->
        <!-- android:label="" -->
        <!-- android:theme="@style/SamouraiAppTheme" /> -->
        <activity
            android:name=".send.cahoots.ManualCahootsActivity"
            android:label="Manual Cahoots"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".send.cahoots.SorobanCahootsActivity"
            android:label="Online Cahoots"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".send.soroban.meeting.SorobanMeetingListenActivity"
            android:label="Listen for online Cahoots"
            android:theme="@style/Theme.Samourai.Material" />
        <activity
            android:name=".send.soroban.meeting.SorobanMeetingSendActivity"
            android:label="Send online Cahoots"
            android:theme="@style/Theme.Samourai.Material" />

        <provider
            android:name=".util.GenericFileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>

        <receiver android:name=".whirlpool.service.WhirlpoolBroadCastReceiver" />
        <receiver
            android:name=".util.ConnectionChangeReceiver"
            android:label="NetworkChangeReceiver">
            <intent-filter>
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
                <action android:name="android.net.wifi.WIFI_STATE_CHANGED" />
            </intent-filter>
        </receiver>

        <service
            android:name=".service.WebSocketService"
            android:enabled="true" />
        <service
            android:name=".service.JobRefreshService"
            android:permission="android.permission.BIND_JOB_SERVICE" />
        <service
            android:name=".whirlpool.service.WhirlpoolNotificationService"
            android:enabled="true"
            android:stopWithTask="true" />
    </application>

</manifest>